Package org.codehaus.plexus.util.cli

# Interface StreamConsumer

All Known Implementing Classes:
  `CommandLineUtils.StringStreamConsumer`, `DefaultConsumer`, `WriterStreamConsumer`

public interface StreamConsumer
Works in concert with the StreamPumper class to allow implementations to gain access to the lines being "Pumped". Please note that implementations of this interface can be expected to be called from arbitrary threads and must therefore be threadsafe.

Author:
  Florin Vancea, Paul Julius

## Method Summary

Modifier and Type
Method
Description
`void`
`consumeLine(String line)`
Called when the StreamPumper pumps a line from the Stream.

## Method Details

### consumeLine

void consumeLine(String line) throws IOException
Called when the StreamPumper pumps a line from the Stream.

Parameters:
  `line` - The line to be consumed.
Throws:
  `IOException` - if consuming `line` fails.